> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unmute participants in room session.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/video.yml post /room_sessions/{room_session_id}/actions/unmute
openapi: 3.1.0
info:
  title: Telnyx Video API
  version: 2.0.0
  description: API for Video.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /room_sessions/{room_session_id}/actions/unmute:
    post:
      tags:
        - Room Sessions
      summary: Unmute participants in room session.
      operationId: UnmuteParticipantInSession
      parameters:
        - name: room_session_id
          in: path
          description: The unique identifier of a room session.
          required: true
          schema:
            type: string
            format: uuid
            example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
      requestBody:
        description: Parameters that can be defined during Unmute action.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ActionsParticipantsRequest'
      responses:
        '200':
          $ref: '#/components/responses/ActionSuccessResponse'
        4XX:
          $ref: '#/components/responses/video_GenericErrorResponse'
      security: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx();


            const response = await
            client.rooms.sessions.actions.unmute('0ccc7b54-4df3-4bca-a65a-3da1ecc777f0');


            console.log(response.data);
        - lang: Python
          source: |-
            from telnyx import Telnyx

            client = Telnyx()
            response = client.rooms.sessions.actions.unmute(
                room_session_id="0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Rooms.Sessions.Actions.Unmute(\n\t\tcontext.TODO(),\n\t\t\"0ccc7b54-4df3-4bca-a65a-3da1ecc777f0\",\n\t\ttelnyx.RoomSessionActionUnmuteParams{\n\t\t\tActionsParticipantsRequest: telnyx.ActionsParticipantsRequestParam{},\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.rooms.sessions.actions.ActionUnmuteParams;

            import
            com.telnyx.sdk.models.rooms.sessions.actions.ActionUnmuteResponse;

            import
            com.telnyx.sdk.models.rooms.sessions.actions.ActionsParticipantsRequest;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ActionUnmuteParams params = ActionUnmuteParams.builder()
                        .roomSessionId("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0")
                        .actionsParticipantsRequest(ActionsParticipantsRequest.builder().build())
                        .build();
                    ActionUnmuteResponse response = client.rooms().sessions().actions().unmute(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.rooms.sessions.actions.unmute("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0")


            puts(response)
        - lang: CLI
          source: |-
            telnyx rooms:sessions:actions unmute \
              --api-key 'My API Key' \
              --room-session-id 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
components:
  schemas:
    ActionsParticipantsRequest:
      type: object
      properties:
        participants:
          description: >-
            Either a list of participant id to perform the action on, or the
            keyword "all" to perform the action on all participant.
          oneOf:
            - type: string
              example: all
              enum:
                - all
            - type: array
              items:
                type: string
                format: uuid
                example: 7b61621f-62e0-4aad-ab11-9fd19e272e73
        exclude:
          description: List of participant id to exclude from the action.
          type: array
          items:
            type: string
            format: uuid
            example: 7b61621f-62e0-4aad-ab11-9fd19e272e73
  responses:
    ActionSuccessResponse:
      description: Success Action Response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: object
                properties:
                  result:
                    type: string
                    example: ok
    video_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: Error
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````